Subject: subversion 1.3.1
To: None <>
From: Louis Guillaume <>
List: tech-pkg
Date: 05/05/2006 22:16:30

Would it be possible to get subversion 1.3.1 that's in HEAD pulled up
into pkgsrc-2006Q1? There are many major bug-fixes.

I've tried just updating the subversion package directories to HEAD and
I get this error...

> ===> Patching for p5-subversion-1.3.1
> ===> Applying pkgsrc patches for p5-subversion-1.3.1
> /bin/rm /pkg_comp/obj/pkgsrc/devel/p5-subversion/default/subversion-1.3.1/
> /bin/cp /usr/pkgsrc/devel/p5-subversion/../../devel/subversion/files/ /pkg_comp/obj/pkgsrc/devel/p5-subversion/default/subversion-1.3.1/
> ===> Overriding tools for p5-subversion-1.3.1
> pkg_info: missing package name(s)
> usage: pkg_info [-BbcDdFfhIikLmNnpqRrSsVv] [-e package] [-K pkg_dbdir] [-l prefix]
>                 pkg-name [...]
>        pkg_info [-a | -u] [flags]
>        pkg_info -Q variable pkg-name [pkg-name ...]
> make: "../../mk/wrapper/../../mk/buildlink3/../../mk/wrapper/../../mk/buildlink3/" line 325: warning: Couldn't read shell's output for "/usr/sbin/pkg_info -K . -qp  | /usr/bin/sed  -e "s,^[^/]*,,;q""
> ===> Creating toolchain wrappers for p5-subversion-1.3.1
> Syntax error: expecting "in"
> *** Error code 2
> Stop.

Of course I'm assuming that it actually builds in HEAD without having a
system available to actually test it out. If it does build, can a pullup
be requested?